Bug 490869 - libgnomedbmm abandonded upstream? currently causing broken deps, should we block?
libgnomedbmm abandonded upstream? currently causing broken deps, should we b...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: libgnomedbmm (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Denis Leroy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-18 07:56 EDT by Alex Lancaster
Modified: 2009-03-23 10:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-23 10:28:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Lancaster 2009-03-18 07:56:14 EDT
It appears that there is no libgnomedbmm in the new 3.x available to build against the new libgnomedb 3.x series.  Will one be forthcoming?

Currently the version in rawhide (from F-9) is causing broken deps:

	libgnomedbmm-2.9.5-4.fc9.i386 requires libgnomedb-3.0.so.4
	libgnomedbmm-2.9.5-4.fc9.i386 requires libgdamm-3.0.so.10
	libgnomedbmm-2.9.5-4.fc9.i386 requires libgnomedb_graph-3.0.so.4
	libgnomedbmm-2.9.5-4.fc9.i386 requires libgnomedb_extra-3.0.so.4

If no release is likely to be forthcoming, can we just orphan the package and ask rel-eng to block it for f11-beta?  I ran the repoquery, and nothing except itself appears to use the bindings:

# repoquery --enablerepo=rawhide --alldeps --whatrequires libgnomedbmm
libgnomedbmm-0:2.9.5-4.fc9.i386
libgnomedbmm-devel-0:2.9.5-4.fc9.i386

Is it safe to block?
Comment 1 Denis Leroy 2009-03-21 07:39:20 EDT
Yes, it needs to be temporarily blocked. I've talked to upstream about it, and they're not in any hurry to port it to the libgda 4.0 API, so we should block it until that happens. It is not abandonded per se.

Just got back from vacation, sorry for the late reply
Comment 2 Alex Lancaster 2009-03-22 08:28:14 EDT
(In reply to comment #1)
> Yes, it needs to be temporarily blocked. I've talked to upstream about it, and
> they're not in any hurry to port it to the libgda 4.0 API, so we should block
> it until that happens. It is not abandonded per se.

Can you file a bug on http://fedorahosted/rel-eng requesting the temporary blocking and post a link to it here?

Thanks.
Comment 3 Alex Lancaster 2009-03-22 18:49:49 EDT
(In reply to comment #2)
> (In reply to comment #1)
> > Yes, it needs to be temporarily blocked. I've talked to upstream about it, and
> > they're not in any hurry to port it to the libgda 4.0 API, so we should block
> > it until that happens. It is not abandonded per se.
> 
> Can you file a bug on http://fedorahosted/rel-eng requesting the temporary
> blocking and post a link to it here?

Found it: https://fedorahosted.org/rel-eng/ticket/1416

Set milestone "Fedora 11 Beta" so it gets on rel-eng's radar.
Comment 4 Denis Leroy 2009-03-23 10:28:07 EDT
Blocked by rel-eng.

Note You need to log in before you can comment on or make changes to this bug.